stop a live event.md

Stop a Live Event

Media API · Live Events

POST https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/stop

Stops a Live Event. Any active playback sessions will be interrupted.

RBAC Capability Required: ams.liveevent.stop

Authentication

Path parameters

Name Type Required Description
project_name string Yes
event_name string Yes

Example request

curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/stop" \
  -H "Authorization: Bearer <token>"

Responses

200 — OK

No response body.

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: media-api · operationId: [post]_/api/v1/projects/{project_name}/media/liveEvents/{event_name}/stop